% ----------------------------------------------------------------------- %
% % createdata function                                                 % %
% % create information for two hypothetical households                  % %
% ----------------------------------------------------------------------- %

function oridata = createdata(gv)




load GSretirementData.mat

ages = [ages1 ages2 ages3 ages4 ages5 ages6];
rets = [rets1 rets2 rets3 rets4 rets5 rets6];
retv = [retv1 retv2 retv3 retv4 retv5 retv6 retv7 retv8 retv9 retv10 retv11 retv12 retv13 retv14 retv15 retv16 retv17 retv18 retv19 retv20];
ftwage = [ftwage1 ftwage2 ftwage3 ftwage4 ftwage5 ftwage6 ftwage7 ftwage8 ftwage9 ftwage10 ftwage11 ftwage12 ftwage13 ftwage14 ftwage15 ftwage16 ftwage17 ftwage18 ftwage19 ftwage20 ftwage21 ftwage22 ftwage23 ftwage24 ftwage25 ftwage26 ftwage27 ftwage28 ftwage29 ftwage30 ftwage31 ftwage32 ftwage33 ftwage34 ftwage35 ftwage36 ftwage37 ftwage38 ftwage39 ftwage40 ftwage41 ftwage42 ftwage43 ftwage44 ftwage45];
prwage = [prwage1 prwage2 prwage3 prwage4 prwage5 prwage6 prwage7 prwage8 prwage9 prwage10 prwage11 prwage12 prwage13 prwage14 prwage15 prwage16 prwage17 prwage18 prwage19 prwage20];
secwage = [secwage1 secwage2 secwage3 secwage4 secwage5 secwage6 secwage7 secwage8 secwage9 secwage10 secwage11 secwage12 secwage13 secwage14 secwage15 secwage16 secwage17 secwage18 secwage19 secwage20];
spwage = [spwage1 spwage2 spwage3 spwage4 spwage5 spwage6 spwage7 spwage8 spwage9 spwage10 spwage11 spwage12 spwage13 spwage14 spwage15 spwage16 spwage17 spwage18 spwage19 spwage20 spwage21 spwage22 spwage23 spwage24 spwage25 spwage26 spwage27 spwage28 spwage29 spwage30 spwage31 spwage32 spwage33 spwage34 spwage35 spwage36 spwage37 spwage38 spwage39 spwage40 spwage41 spwage42 spwage43 spwage44 spwage45];
pia = [pia1 pia2 pia3 pia4 pia5 pia6 pia7 pia8 pia9 pia10 pia11 pia12 pia13 pia14 pia15 pia16 pia17 pia18 pia19 pia20 pia21];
ncpens = [ncpens1 ncpens2 ncpens3 ncpens4 ncpens5 ncpens6 ncpens7 ncpens8 ncpens9 ncpens10 ncpens11 ncpens12 ncpens13 ncpens14 ncpens15 ncpens16 ncpens17 ncpens18 ncpens19 ncpens20 ncpens21];
sppia = [sppia1 sppia2 sppia3 sppia4 sppia5 sppia6 sppia7 sppia8 sppia9 sppia10 sppia11 sppia12 sppia13 sppia14 sppia15 sppia16 sppia17 sppia18 sppia19 sppia20 sppia21];
spncpens = [spncpens1 spncpens2  spncpens3 spncpens4 spncpens5 spncpens6 spncpens7 spncpens8 spncpens9 spncpens10 spncpens11 spncpens12 spncpens13 spncpens14 spncpens15 spncpens16 spncpens17 spncpens18 spncpens19 spncpens20 spncpens21];
othincome = [othincome1 othincome2  othincome3 othincome4 othincome5 othincome6 othincome7 othincome8 othincome9 othincome10 othincome11 othincome12 othincome13 othincome14 othincome15 othincome16 othincome17 othincome18 othincome19 othincome20 othincome21 othincome22 othincome23 othincome24 othincome25 othincome26 othincome27 othincome28 othincome29 othincome30 othincome31 othincome32 othincome33 othincome34 othincome35 othincome36 othincome37 othincome38 othincome39 othincome40 othincome41 othincome42 othincome43 othincome44 othincome45 othincome46 othincome47 othincome48 othincome49 othincome50 othincome51 othincome52 othincome53 othincome54 othincome55 othincome56 othincome57 othincome58 othincome59 othincome60 othincome61 othincome62 othincome63 othincome64 othincome65 othincome66 othincome67 othincome68 othincome69 othincome70 othincome71 othincome72 othincome73 othincome74 othincome75];

for obs = 1:gv.nobs;
    oridata(obs,1).inputobs = gv.nobs;
    oridata(obs,1).birthyear = birthyear(obs,1);
    oridata(obs,1).spbirthyear = spbirthyear(obs,1);
    oridata(obs,1).healthage = healthage(obs,1);
    oridata(obs,1).penjobend = penjobend(obs,1);
    oridata(obs,1).age = ages(obs,:)';
    oridata(obs,1).ret = rets(obs,:)';
    oridata(obs,1).retv = retv(obs,:)';
    oridata(obs,1).ftwage = ftwage(obs,:)';
    oridata(obs,1).prwage = prwage(obs,:)';
    oridata(obs,1).secwage = secwage(obs,:)';
    oridata(obs,1).spwage = spwage(obs,:)';
    oridata(obs,1).pia = pia(obs,:)';
    oridata(obs,1).ncpens = ncpens(obs,:)';
    oridata(obs,1).sppia = sppia(obs,:)';
    oridata(obs,1).spncpens = spncpens(obs,:)';
    oridata(obs,1).sppensben = sppensben(obs,1);
    oridata(obs,1).sppenstart = sppenstart(obs,1);
    oridata(obs,1).spplumpsum = spplumpsum(obs,1);
    oridata(obs,1).assetwealth = assetwealth(obs,1);
    oridata(obs,1).othincome = othincome(obs,:)';
    oridata(obs,1).inccat = inccat(obs,1);

end;

