% ----------------------------------------------------------------------- %
% % randreset function                                                  % %
% % reset the random number generator seed and related variables        % % 
% ----------------------------------------------------------------------- %

function [calc] = randreset(calc)

calc.randseed(calc.obs, 1) = calc.obs; % reset seed as observation number;
calc.randresetflag(calc.obs, 1) = 1; % indicating the random number generator seed has been reset;
calc.gaussdevreset(calc.obs, 1) = 1; % indicating the random number generator seed has been reset;

% initialize random number generator;
calc.randstruct(calc.obs, 1).x1 = 0;
calc.randstruct(calc.obs, 1).x2 = 0;
calc.randstruct(calc.obs, 1).x3 = 0;
calc.randstruct(calc.obs, 1).r = zeros(98, 1);

